
**Cordial Software Development Kit License Agreement**


**IMPORTANT- PLEASE READ CAREFULLY** **BEFORE OPENING, INSTALLING, COPYING OR USING THE SDK.  This Software Development Kit License Agreement ("Agreement") is a legal document by and between you (hereinafter referred to as "You" "Your" or "Licensee") and Cordial Experience, Inc. ("Cordial") (each a "Party" and collectively, "Parties") for the Cordial Software development kit materials, including the software and related documentation ("SDK Software") and the Sample Code (collectively, the "SDK").**


BY OPENING, INSTALLING, COPYING OR USING THE SDK OR ANY PORTION THEREOF, YOU (ON BEHALF OF YOURSELF OR AS AN AUTHORIZED REPRESENTATIVE ON BEHALF OF AN ENTITY OR END USERS) AGREE TO ALL THE TERMS OF THIS AGREEMENT.  IF YOU DO NOT AGREE WITH ALL OF THE TERMS OF THIS AGREEMENT, DO NOT (AND ENSURE THAT YOUR END USERS DO NOT) OPEN, INSTALL, COPY OR USE THE SDK.


1. __License Grant__.  Subject to the terms and conditions of this Agreement, Cordial grants to Licensee a limited, personal, revocable, non-transferable, and non-exclusive license, to (a) install and use the object code version of the SDK Software solely to create, design, develop, and test software application product(s) (each, a "Developed Application") solely for such Developed Application’s use in conjunction with Cordial’s products (the "Cordial Products") for its internal business purposes, (b) modify the sample source code provided with the SDK (the "Sample Code") and create derivative works thereof ("Derivative Works") solely for incorporation into the Developed Application, and (c) reproduce and distribute Developed Applications to third parties for use solely in conjunction with Cordial Products, provided that (i) Licensee is currently under contract with Cordial for the use of such Cordial Products and (ii) the Developed Applications are licensed to end users pursuant to a written end user license agreement that protects Cordial’s proprietary rights in and to any Cordial software embedded or incorporated therein and the SDK in a legally enforceable manner that is at least consistent with the terms and conditions of this Agreement and requires the end user to affirmatively agree to the terms of such license before downloading, installing, copying or using the Developed Application.   

2. __Restrictions__.  Except as otherwise explicitly permitted in this Agreement, Licensee shall not, directly or indirectly, do any of the following: (a) reverse engineer, reverse compile, decrypt or disassemble the SDK Software in whole or in part; (b) modify, alter, delete or obscure any proprietary rights notice embedded in or affixed to the SDK or the Sample Code; (c) allow any Licensee personnel in a Licensee division or business unit other than the Licensee division or business unit that is licensing the SDK directly from Cordial, to access or use the SDK Software or the Sample Code, or otherwise allow use of the SDK by, for or on behalf any such other Licensee division or business unit; or (d) distribute the SDK provided by Cordial hereunder. Licensee shall ensure that its use of the SDK complies with all applicable laws, statutes, regulations or rules.  Any act or omission of Licensee’s end users in connection with use of, or access to the SDK, in breach of this Agreement shall be deemed a breach of this Agreement by Licensee.

3. __Fees__. Neither Party will owe the other any license fees pursuant to this Agreement. 

4. __Cordial Ownership__.  As between the Parties, Cordial is the sole and exclusive owner of all right, title and interest, including all intellectual property rights, in and to the SDK.  The design, structure and organization of the SDK are proprietary to Cordial.  Licensee may not use, copy, reproduce, sublicense, distribute, or dispose of the SDK except as expressly permitted by Cordial in a separate written agreement.  There are no implied rights granted to You.  All rights not expressly granted by Cordial to You are reserved by Cordial.

5. __Independent Development__. Licensee acknowledges that Cordial may be in the process of independently creating applications, content and other products or services that may be similar to or competitive with those of Licensee and nothing in this Agreement will be construed as restricting or preventing Cordial from creating and fully exploiting such applications, content and other items, without any obligations to Licensee.

6. __Cordial Support__. Cordial may provide support or modifications for the SDK in Cordial’s sole discretion. Cordial may terminate the provision of such support or modifications at any time without notice or liability to Licensee. Cordial may release subsequent versions of the SDK, which Licensee shall make reasonable efforts to integrate within sixty (60) days from the date of release of such newer version. Licensee’s continued use of the SDK following a subsequent release shall be deemed Licensee’s acceptance of the modifications.

7. __Licensee Ownership__.  Subject to Cordial’s ownership rights in the SDK under Section 4, Licensee shall own all rights, title and interest in the Developed Application and the Derivative Works. The Developed Application and the Derivative Works shall be deemed provided by Licensee, and shall not, under any circumstance be deemed provided by Cordial.

8. __No Warranties__. THE SDK IS PROVIDED ON AN "AS IS" BASIS WITHOUT ANY WARRANTY OF ANY KIND.  CORDIAL EXPRESSLY DISCLAIMS AND EXCLUDES ALL WARRANTIES, WHETHER STATUTORY, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY, QUALITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, SUITABILITY, OPERABILITY, CONDITION, SYSTEM INTEGRATION, NON-INTERFERENCE, WORKMANSHIP, ABSENCE OF DEFECTS, WHETHER LATENT OR PATENT, AND ANY WARRANTIES ARISING FROM A COURSE OF DEALING, USAGE, OR TRADE.  CORDIAL DOES NOT REPRESENT, WARRANT OR MAKE ANY CONDITION THAT THE SDK IS FREE OF INACCURACIES, ERRORS, BUGS OR INTERRUPTIONS, OR IS RELIABLE, ACCURATE, COMPLETE OR OTHERWISE VALID. LICENSEE’S USE OF THE SDK IS AT LICENSEE’S OWN DISCRETION AND RISK, AND LICENSEE WILL BE SOLELY RESPONSIBLE FOR ANY DAMAGE THAT RESULTS FROM USE OF THE SDK, INCLUDING, BUT NOT LIMITED TO, FOR ANY DAMAGE TO LICENSEE’S COMPUTER SYSTEM OR LOSS OF DATA. ANY WARRANTIES MADE BY CORDIAL ARE FOR THE BENEFIT OF THE LICENSEE ONLY AND NOT FOR THE BENEFIT OF ANY THIRD PARTY. ANY MATERIALS PROVIDED THROUGH THE SDK ARE LICENSED AND NOT SOLD. NO AGENT OF CORDIAL IS AUTHORIZED TO ALTER OR EXPAND THE WARRANTIES OF CORDIAL AS SET FORTH HEREIN.  CORDIAL DOES NOT WARRANT THAT: (A) THE USE OF THE SDK WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA; (B) THE SDK WILL MEET LICENSEE’S REQUIREMENTS OR EXPECTATIONS; (C) THAT ERRORS OR DEFECTS IN THE SDK WILL BE CORRECTED; OR (D) THE SERVER(S) THAT MAKE THE SDK AVAILABLE ARE FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. THE SDK MAY BE SUBJECT TO LIMITATIONS, DELAYS, AND OTHER PROBLEMS INHERENT IN THE USE OF THE INTERNET AND ELECTRONIC COMMUNICATIONS. CORDIAL IS NOT RESPONSIBLE FOR ANY DELAYS, DELIVERY FAILURES, OR OTHER DAMAGES RESULTING THEREFROM.

9. __Consequential Damages Waiver__.  IN NO EVENT SHALL CORDIAL BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, PUNITIVE, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OR IN CONNECTION WITH THIS AGREEMENT OR ANY USE OF THE SDK, INCLUDING, BUT NOT LIMITED TO, LOSS OF DATA, LOSS OF PROFITS OR LOSS OF REVENUE, EVEN IF CORDIAL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

10. __Limitation of Liability__.  IN NO EVENT WILL CORDIAL’S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE) OR ANY OTHER THEORY OF LIABILITY, EXCEED ONE HUNDRED DOLLARS (USD $100).  THE FOREGOING TERMS OF SECTION 9 AND THIS SECTION 10 SHALL APPLY TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, AND NOTWITHSTANDING ANY FAILURE OF THE ESSENTIAL PURPOSE OF THIS AGREEMENT OR ANY LIMITED REMEDY HEREUNDER.

11. __Term and Termination__.  This Agreement is effective until terminated.  Without prejudice to any other rights, this Agreement shall terminate automatically without notice from Cordial (i) if Licensee fails to comply with any provision of this Agreement, (ii) if Licensee becomes bankrupt, goes into liquidation, makes an assignment of the benefit of its creditors, suffers or makes any winding up petition, enters into a composition or an arrangement with its creditors, has a receiver appointed or suffers or files any similar action in consequence of debt, or (iii) Licensee’s agreement with Cordial for access to the Cordial Products terminates.  Upon termination of this Agreement, Licensee shall immediately cease use of the SDK, and cause its end users to cease use of the SDK, and destroy all copies of the SDK, including modified copies, if any, and certify in writing to its compliance with this Section 11.  The definitions and Sections 2 - 13 shall survive the termination of this Agreement.

12. __Suspension__. Cordial may suspend Licensee’s use of all or any of the SDK if it reasonably believes that Licensee’s or its end users’ use presents a material security or legal risk. Cordial may discontinue the availability of some or all of the SDK at any time for any reason upon ten (10) days’ notice. Cordial may also impose limits on certain features and services or restrict Licensee or its end user’s access to the SDK or any part thereof.  Cordial shall provide notice to Licensee, whether prior to or after Cordial’s exercise of rights pursuant to this Section 12, to the email address associated with Licensee’s account with Cordial.

13. __General__.  This Agreement represents the complete agreement concerning this license between the Parties and supersedes all prior agreements and representations.  This Agreement may be amended from time to time by Cordial, with notification provided to Licensee via email in the event of material changes. The current version of this Agreement is available to Licensee on the web site from where the SDK was obtained.  Licensee acknowledges and agrees that the posting of amendments to this Agreement on such web site and/or by notification via email will constitute written notice to Licensee of such amendments. By continuing to use the SDK after the effective date of any amendments to this Agreement, Licensee agrees to be bound by the amended terms. Except for the foregoing right of Cordial to so modify this Agreement, this Agreement may otherwise only be modified in a separate agreement executed by both Parties hereto.  If any provision of this Agreement is held to be invalid, illegal or unenforceable in any respect, that provision shall be limited or eliminated to the minimum extent necessary so that this Agreement shall otherwise remain in full force and effect and enforceable.  The failure of Cordial to act with respect to a breach of this Agreement by Licensee or others does not constitute a waiver and shall not limit Cordial’s rights with respect to such breach or any subsequent breaches.  This Agreement is personal to Licensee and may not be assigned or transferred for any reason whatsoever without Cordial’s consent and any action or conduct in violation of the foregoing shall be void and without effect.  This Agreement shall be governed by and construed under the laws of the State of California, U.S.A. without regard to the conflicts of laws provisions thereof, and without regard to the United Nations Convention on Contracts for the International Sale of Goods.  The sole and exclusive jurisdiction and venue for actions arising under this Agreement shall be the state and federal courts in San Diego County, California; Licensee hereby agrees to service of process in accordance with the rules of such court.
